unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.TeeTools;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series2: TFastLineSeries;
    ChartTool2: TRectangleTool;
    procedure Chart1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Chart1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
  private
    leftDownx, leftDownY: Integer ;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Chart1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  leftDownx := X ;
  leftDownY := Y ;
end;

procedure TForm1.Chart1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  if leftDownx <> -1 then
  begin
    ChartTool2.Visible := True ;
    ChartTool2.Left := leftDownX ;
    ChartTool2.Top := leftDownY ;
    ChartTool2.Width := X - leftDownX ;
    ChartTool2.Height := Y - leftDownY ;
  end;
end ;

procedure TForm1.Chart1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  leftDownx := -1 ;
  leftDownY := -1 ;
  ChartTool2.Visible := False ;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  leftDownx := -1 ;
  leftDownY := -1 ;
  ChartTool2.Visible := False ;
end;

end.
